Bug 1294591 - [GSS] (6.4.z) NullPointerException from ControlledProcessState.revertReloadRequired()
[GSS] (6.4.z) NullPointerException from ControlledProcessState.revertReloadRe...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Server (Show other bugs)
6.4.5
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.4.11
Assigned To: Romain Pelisse
Jiri Truhlar
eap-docs
:
Depends On:
Blocks: eap6411-payload
  Show dependency treegraph
 
Reported: 2015-12-29 01:15 EST by James Livingston
Modified: 2017-01-17 08:11 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 08:11:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFCORE-591 Major Resolved revertReloadRequired() throws a NPE is reloadRequired has not been called 2017-03-23 05:09 EDT

  None (edit)
Description James Livingston 2015-12-29 01:15:06 EST
A NullPointerException can occur if a rollback occurs for an operation that sets the reload required flag, with a stack trace like:

java.lang.NullPointerException
	at org.jboss.as.controller.ControlledProcessState.revertReloadRequired(ControlledProcessState.java:181) [jboss-as-controller-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.controller.AbstractOperationContext.revertReloadRequired(AbstractOperationContext.java:933) [jboss-as-controller-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.messaging.HornetQReloadRequiredHandlers$AddStepHandler.rollbackRuntime(HornetQReloadRequiredHandlers.java:56)
	at org.jboss.as.controller.AbstractAddStepHandler$1$1.handleRollback(AbstractAddStepHandler.java:84) [jboss-as-controller-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.controller.AbstractOperationContext$RollbackDelegatingResultHandler.handleResult(AbstractOperationContext.java:1184) [jboss-as-controller-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.controller.AbstractOperationContext$Step.handleResult(AbstractOperationContext.java:1151) [jboss-as-controller-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.controller.AbstractOperationContext$Step.finalizeInternal(AbstractOperationContext.java:1108) [jboss-as-controller-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.controller.AbstractOperationContext$Step.finalizeStep(AbstractOperationContext.java:1083) [jboss-as-controller-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.controller.AbstractOperationContext$Step.access$300(AbstractOperationContext.java:1028) [jboss-as-controller-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.controller.AbstractOperationContext.finishStep(AbstractOperationContext.java:822) [jboss-as-controller-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:778) [jboss-as-controller-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:537) [jboss-as-controller-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.controller.AbstractOperationContext.completeStepInternal(AbstractOperationContext.java:338) [jboss-as-controller-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.controller.AbstractOperationContext.executeOperation(AbstractOperationContext.java:314) [jboss-as-controller-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.controller.ParallelBootOperationStepHandler$ParallelBootTask.run(ParallelBootOperationStepHandler.java:355) [jboss-as-controller-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [rt.jar:1.8.0_45]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [rt.jar:1.8.0_45]
	at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_45]
	at org.jboss.threads.JBossThread.run(JBossThread.java:122) [jboss-threads-2.1.2.Final-redhat-1.jar:2.1.2.Final-redhat-1]
Comment 3 Romain Pelisse 2015-12-29 10:22:01 EST
I'll take a look at this issue asap.
Comment 7 Romain Pelisse 2016-01-05 12:30:19 EST
PR: https://github.com/jbossas/jboss-eap/pull/2667

No upstream required as this a backport (see [1]), upstream issue is WFCORE-591[2].


[1] Commit: https://github.com/wildfly/wildfly-core/commit/36645e8d7c8715e5e7c19418daf909ffa6acb0ef

[2] https://issues.jboss.org/browse/WFCORE-591
Comment 9 Mike McCune 2016-03-28 19:30:47 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 10 Jiří Bílek 2016-10-07 08:55:40 EDT
Verified with EAP 6.4.11.CP.CR1
Comment 11 Petr Penicka 2017-01-17 08:11:20 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Note You need to log in before you can comment on or make changes to this bug.